/* ----------- */


body {
    font-size: 1em;
}

body.loading {
    margin: 45vh auto;
    width: 3rem !important;
    height: 3rem !important; 
    content:'' !important;
    display: flex;
    color:white;
    background-color: white;
    justify-content: center;
    align-items: center;
}

body.swal2-shown{
    padding-right:0px !important;
}

body.loading div.rrss, body.loading footer, body.loading header, body.loading section{
    display:none !important;
}

/* ### INTRO PANELS ### */
.intro-container {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: 80vh;
    background-image: url(../../media/website/backgrounds/img_fondo_00.jpg);
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
}

.intro-container__body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.info-container__body::after {
    content: "";
    width: 0;
    height: 0;
}

.intro-container__title {
    margin: 1% 0;
}

.intro-container__title-responsive {
    display: none;
    width: 320px;
}

.intro-container__content {
    width: 650px;
    font-family: Monserrat Light;
}


/* ### INFO PANELS ### */
.info-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    text-align: center;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

#info-container-1 {
    background-image: url(../../media/website/backgrounds/img_fondo_01.jpg);
}

#info-container-2 {
    background-image: url(../../media/website/backgrounds/img_fondo_02.jpg);
}

#info-container-3 {
    background-image: url(../../media/website/backgrounds/img_fondo_03.jpg);
}

#info-container-4 {
    background-image: url(../../media/website/backgrounds/img_fondo_04.jpg);
}

#info-container-5 {
    background-image: url(../../media/website/backgrounds/img_fondo_05.jpg);
}

.info-container__body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.info-container__number {
    font-family: Akzidenz-Grotesk Pro;
    font-size: 15em;
    margin: 0;
    line-height: 100%;
}

.info-container__title {
    margin-bottom: 1%;
}

.info-container__title-responsive {
    display: none;
    width: 320px;
}

.info-container__content {
    width: 650px;
    margin-bottom: 30px;
}

.info-container__link-to-block {
    display: flex;
    justify-content: center;
    align-items: center;
}

.dot-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    position: fixed;
    top: 0;
    right: 5%;
    height: 100%;
}

.dot {
    width: 15px;
    height: 15px;
    cursor: pointer;
    margin: 10px 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.dot-circle {
    width: 5px;
    height: 5px;
    background-color: #cccccc7c;
    border-radius: 100%;
}

.dot.active {
    border-radius: 100%;
    width: 15px;
    height: 15px;
    background-color: var(--main-color);
}

.dot.active .dot-circle {
    display: none;
}

#go-up-button {
    position: absolute;
    position: fixed;
    bottom: 50px;
    right: 20px;
}

.swal2-popup{
    border-radius:30px !important;
    width:1000px;
    height:650px;
}

.swal2-close{
    color:white;
    font-weight:bold;
}

@media (max-width: 768px) {
    .intro-container {
        text-align: justify !important;
    }

    .info-container {
        text-align: justify !important;
    }

    .intro-container__body {
        padding: 0 20px;
    }

    .info-container__body {
        padding: 0 20px;
    }

    .intro-container__content {
        width: 100%;
    }

    .info-container__content {
        width: 100%;
    }

    .info-container__number {
        font-size: 10em;
    }

    .intro-container__title {
        display: none;
    }

    .intro-container__title-responsive {
        display: block;
    }

    .info-container__title {
        display: none;
    }

    .info-container__title-responsive {
        display: block;
    }

    .dot-container {
        display: none;
    }
}

@media (max-width: 768px) and (orientation: landscape) {
    .info-container__number {
        font-size: 5em;
    }

    .intro-container__content {
        width: 100%;
    }

    .info-container__body {
        margin: 0;
        width: 100%;
    }

    .info-container__body.container {
        max-width: 100%;
    }

    .info-container__title {
        display: block;
        width: 700px;
    }

    .info-container__title-responsive {
        display: none;
    }
}


@media (max-width: 714px) and (orientation: landscape) { 
    .info-container__number {
        font-size: 4em;
    }
    
    .info-container__title {
        width: 650px;
    }

    .info-container__content {
        font-size: 0.8em;
    }

    .intro-container__content {
        font-size: 0.8em;
    }
}

@media (max-width: 576px) {
    .intro-container {
        background-image: url(../../media/website/backgrounds/img_fondo_00__movil.jpg);
    }

    #info-container-1 {
        background-image: url(../../media/website/backgrounds/img_fondo_01_movil.jpg);
    }
    
    #info-container-2 {
        background-image: url(../../media/website/backgrounds/img_fondo_02_movil.jpg);
    }
    
    #info-container-3 {
        background-image: url(../../media/website/backgrounds/img_fondo_03_movil.jpg);
    }
    
    #info-container-4 {
        background-image: url(../../media/website/backgrounds/img_fondo_04_movil.jpg);
    }
    
    #info-container-5 {
        background-image: url(../../media/website/backgrounds/img_fondo_05_movil.jpg);
    }
}